package com.google.user;

import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.servlet.ModelAndView;

@Controller
public class HelloWorldController {
	
	// http://localhost/helloworld.htm, http://localhost/hello123.htm
	@RequestMapping({"/helloworld.htm", "hello*.htm"})
	public ModelAndView helloWord() {
		String message = "KKKKK"; 
		return new ModelAndView("helloworld", "message", message);
	} 
	
	// http://localhost/root.htm
	@RequestMapping(value="/root.htm")
	public ModelAndView root() {
		return new ModelAndView("root");
	} 
	
	// REST  : http://localhost/yourname/11
	@RequestMapping(value="/yourname/{name}", method = RequestMethod.GET)
	public String getMovie(@PathVariable String name, ModelMap model) {
		model.addAttribute("name", name);
		return "yourname";
	}
	
	
}
